unit fMain;

interface

uses
  Classes, Controls, Forms, Buttons, KeyState, StdCtrls;

type
  TForm1 = class(TForm)
    KeyState: TKeyState;
    GroupBox1: TGroupBox;
    btnNumLock: TSpeedButton;
    btnScrollLock: TSpeedButton;
    btnCapsLock: TSpeedButton;
    btnInsert: TSpeedButton;
    Edit1: TEdit;
    procedure KeyStateNumLock(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure KeyStateCapsLock(Sender: TObject);
    procedure KeyStateInsert(Sender: TObject);
    procedure KeyStateScrollLock(Sender: TObject);
    procedure btnNumLockClick(Sender: TObject);
    procedure btnScrollLockClick(Sender: TObject);
    procedure btnCapsLockClick(Sender: TObject);
    procedure btnInsertClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  KeyState.Init;
end;

procedure TForm1.KeyStateNumLock(Sender: TObject);
begin
  btnNumLock.Down:=KeyState.NumLock;
end;

procedure TForm1.KeyStateCapsLock(Sender: TObject);
begin
  btnCapsLock.Down:=KeyState.CapsLock;
end;

procedure TForm1.KeyStateScrollLock(Sender: TObject);
begin
  btnScrollLock.Down:=KeyState.ScrollLock;
end;

procedure TForm1.KeyStateInsert(Sender: TObject);
begin
  btnInsert.Down:=KeyState.Insert;
end;

procedure TForm1.btnNumLockClick(Sender: TObject);
begin
  KeyState.NumLock:=btnNumLock.Down;
end;

procedure TForm1.btnCapsLockClick(Sender: TObject);
begin
  KeyState.CapsLock:=btnCapsLock.Down;
end;

procedure TForm1.btnScrollLockClick(Sender: TObject);
begin
  KeyState.ScrollLock:=btnScrollLock.Down;
end;

procedure TForm1.btnInsertClick(Sender: TObject);
begin
  KeyState.Insert:=btnInsert.Down;
end;

end.
